#
# spec file for package osmo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#

Name:           osmo
Summary:        Personal organizer with calendar, tasks manager and address book
Url:            http://clayo.org/osmo/
License:        GPL-2.0+
Group:          Productivity/Office/Organizers
Version:        0.4.0
Release:        2.1
Source:         http://downloads.sourceforge.net/project/osmo-pim/osmo-pim/%{name}-%{version}/%{name}-%{version}-1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc
BuildRequires:  fdupes
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkspell-2.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libgringotts)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang

%description
Osmo is a organizer (personal information manager - PIM), which
includes calendar, task manager and address book modules. It features
many hotkeys and user preference tunables. On the technical side, it
is a GTK based tool using an XML database for data storage.

%lang_package

%prep
%setup -q -n %{name}-%{version}-1

%build
%configure --enable-reproducible
make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file -i %{name}
%find_lang %{name}
%fdupes %{buildroot}/%{_datadir}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%doc %{_mandir}/man1/*
%{_bindir}/osmo
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*
%{_datadir}/applications/*
%{_datadir}/sounds/osmo

%files lang -f %{name}.lang

%changelog
* Sun Aug  6 2017 mailaender@opensuse.org
- update to version 0.4.0
  * Migrated to GTK+-3 and WebKit2Gtk
  * Bug fixes (#105, #90, #108, #104)
  * More customisable calendar colors
  * Use the XDG directory structure for the config and data files (#133)
  * Moon phase icon is now displayed
  * Show hidden files in the file chooser dialogs (#143)
  * Saved the Osmo state on SIGINT and SIGTERM signals
  * Option to disable background colors in calendar printing
  * New and updated translations
* Sat Dec 19 2015 mailaender@opensuse.org
- update to version 0.2.14
  * Export contacts to vCard 4.0 format (VCF)
  * Multiple selection in tasks, contacts and notes
  * Sorting by column header (#127, #85)
  * Task notification dialog may be disabled
  * Contacts CSV export/import fixes
  * Option to open links in the selected text in notes
  * A lot of bug fixes
  * Added translations: sr, he
  * Updated translations: pt_BR, cs, lt, da, pl
* Mon May 18 2015 mailaender@opensuse.org
- update to version 0.2.12
- enabled backup support
* Mon Jan 27 2014 mailaender@opensuse.org
- update to version 0.2.10
* Tue Feb 10 2009 jreidinger@suse.cz
- fix RPM_OPTS FLAGS ignore
* Thu Jan 29 2009 petr.uzel@suse.cz
- fix-invalid-locale.patch
* Mon Nov 10 2008 jreidinger@suse.cz
- initial build for osmo-0.2.4
